BEGIN ~BARDOP~

IF WEIGHT #-1
~True()
~ THEN BEGIN 0
  SAY @0
  IF ~~ THEN REPLY @1 GOTO 1
  IF ~~ THEN REPLY @2 DO ~JoinParty()
~ EXIT
END

IF ~~ THEN BEGIN 1
  SAY @3
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 2
  SAY @4
  IF ~~ THEN DO ~JoinParty()
~ EXIT
END

IF WEIGHT #0 ~false()~ THEN BEGIN 3
  SAY @5
  IF ~~ THEN EXIT
END

IF WEIGHT #1 ~false()~ THEN BEGIN 4
  SAY @3
  IF ~~ THEN EXIT
END

IF WEIGHT #2 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 5
  SAY @6
  IF ~~ THEN EXIT
END
